DataCubeControllerScheduleStorage Method |
POST /DataCube/Schedule/{id}
Creates a scheduled task for storing the data cube in the warehouse or in-memory.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Schedule")]
public IActionResult ScheduleStorage(
Guid id,
[FromBodyAttribute] StorageOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Schedule")>
Public Function ScheduleStorage (
id As Guid,
<FromBodyAttribute> options As StorageOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Schedule")]
IActionResult^ ScheduleStorage(
Guid id,
[FromBodyAttribute] StorageOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Schedule")>]
member ScheduleStorage :
id : Guid *
[<FromBodyAttribute>] options : StorageOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the data cube to build the warehouse on. - options
- Type: Dundas.BI.WebApi.ModelsStorageOptions
The options to build the warehouse. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResultA status code indicating success or the reason for failure.
See Also